---
sidebar_label: Page.screenshot_1
---

# Page.screenshot() method

#### Signature:

```typescript
class Page {
  screenshot(options?: Readonly<ScreenshotOptions>): Promise<Buffer>;
}
```

## Parameters

| Parameter | Type                                                                  | Description  |
| --------- | --------------------------------------------------------------------- | ------------ |
| options   | Readonly&lt;[ScreenshotOptions](./puppeteer.screenshotoptions.md)&gt; | _(Optional)_ |

**Returns:**

Promise&lt;Buffer&gt;
